Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 597313 - samba always writes new kerberos ticket to cache
samba always writes new kerberos ticket to cache
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 12:01 EDT by Vladimir Rulev
Modified: 2011-04-04 12:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-04 12:48:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Rulev 2010-05-28 12:01:11 EDT
Description of problem:
When connecting to windows resources using Kerberos authentication, samba always writes new kerberos ticket to cache.

Version-Release number of selected component (if applicable):
samba-client-3.5.3-61.fc13.i686

How reproducible:
Always

Steps to Reproduce:
1. perform kinit, obtain kerberos TGT
2. connect to windows share using kerberos
smbclient -k //server/share
3. exit smbclient
4. list kerberos tickets
klist
...
server$@REALM
5. repeat steps 2-4
klist
...
server$@REALM
server$@REALM
  
Actual results:
Each connection adds new kerberos ticket.

Expected results:
Ticket should be reused.

Additional info:
In clikrb5.c smb_krb5_get_credentials always calls krb5_cc_store_cred. May be it is a problem.
Comment 1 Fedora Admin XMLRPC Client 2010-10-08 10:43:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Guenther Deschner 2011-04-04 12:48:59 EDT
This needs to be addressed upstream first. Can you please open a bug at bugzilla.samba.org ? Thanks!

Note You need to log in before you can comment on or make changes to this bug.